Debian Bug report logs - #323469
RM: fv -- RoQA; orphaned, out of date, buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Tue, 16 Aug 2005 22:48:09 UTC

Owned by: Riccardo Stagni <unriccio@email.it>

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: fv -- a tool for viewing and editing FITS format files
Date: Wed, 17 Aug 2005 00:44:51 +0200
Package: wnpp
Severity: normal

Dr. Jens Schmalzing died on July 30th in a tragic accident. You can read
about this in Debian's official announcement at
http://www.debian.org/News/2005/20050809

I regret the loss of one of our fellow Debian Developers, which leaves,
amongst others, the fv package orphaned.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: fv
Binary: fv
Version: 3.0-11
Priority: optional
Section: science
Maintainer: Jens Schmalzing <jensen@debian.org>
Build-Depends: debhelper (>> 3.0.0), docbook-to-man, libcfitsio-dev, itk3.1-dev, iwidgets3.1-doc, xutils
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/f/fv
Files: dfc63fc1381a7e4b421fb09c59dea134 610 fv_3.0-11.dsc
 93b3d41f036b223eb0d975515a26d030 9785682 fv_3.0.orig.tar.gz
 015a3c03c38b7399c47e0849c1beffbe 80348 fv_3.0-11.diff.gz

Package: fv
Priority: optional
Section: science
Installed-Size: 2728
Maintainer: Jens Schmalzing <jensen@debian.org>
Architecture: i386
Version: 3.0-11
Depends: libc6 (>= 2.3.2.ds1-21), libcfitsio2, iwidgets3.1, itcl3.1, itk3.1
Conflicts: itcl3
Filename: pool/main/f/fv/fv_3.0-11_i386.deb
Size: 1131732
MD5sum: 812dd85ba9d24359d4ac70520c261555
Description: a tool for viewing and editing FITS format files
 Fv provides a graphical user interface to data stored in FITS
 (Flexible Image Transport System) files.  Local files can be created,
 viewed and edited, files on the internet can be opened read-only
 through the http and ftp protocols.  Through the POWplot program,
 FITS data can be visualized in a large variety of styles.  An
 interface to the SkyView online database allows for searching,
 downloading, and plotting of images and object lists for a region of
 the sky.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 323469@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: control@bugs.debian.org
Cc: 323469@bugs.debian.org
Subject: planning to adopt fv
Date: Thu, 9 Mar 2006 20:11:52 -0500
retitle 323469 ITA: fv -- a tool for viewing and editing FITS format files
owner 323469 neroden@gcc.gnu.org
thanks

I'm planning to adopt this because it's handy for some work I've been doing.

-- 
Nathanael Nerode  <neroden@twcny.rr.com>

"(Instead, we front-load the flamewars and grudges in
the interest of efficiency.)" --Steve Lanagasek,
http://lists.debian.org/debian-devel/2005/09/msg01056.html



Changed Bug title. Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as neroden@gcc.gnu.org. Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from neroden@gcc.gnu.org to Nathanael Nerode <neroden@gcc.gnu.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #21 received at 323469-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Nathanael Nerode <neroden@twcny.rr.com>
Cc: 323469-quiet@bugs.debian.org
Subject: Re: planning to adopt fv
Date: Thu, 30 Mar 2006 08:43:01 +0200
On Thu, Mar 09, 2006 at 20:11:52 -0500, Nathanael Nerode wrote:
> retitle 323469 ITA: fv -- a tool for viewing and editing FITS format files

Do you still intend to adopt fv?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #26 received at 323469-quiet@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: Matej Vela <vela@debian.org>
Cc: 323469-quiet@bugs.debian.org
Subject: Re: planning to adopt fv
Date: Thu, 30 Mar 2006 22:09:01 -0500
Matej Vela wrote:
> On Thu, Mar 09, 2006 at 20:11:52 -0500, Nathanael Nerode wrote:
> 
>>retitle 323469 ITA: fv -- a tool for viewing and editing FITS format files
> 
> 
> Do you still intend to adopt fv?  (This is just a ping, I'm not
> interested in adopting it myself.)

Yes, but it may take me a (very) long time.  It will require figuring
out some way to build FV from the large upstreem ftools tarball, since
it's no longer released separately.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nathanael Nerode <neroden@gcc.gnu.org>:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@merkel.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nathanael Nerode <neroden@gcc.gnu.org>. Full text and rfc822 format available.

Message #31 received at 323469@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: control@bugs.debian.org
Cc: 323469@bugs.debian.org
Subject: WNPP bug retitle
Date: Fri, 08 Dec 2006 11:59:22 -0700
retitle 323469 O: fv -- a tool for viewing and editing FITS format files
noowner 323469
thanks obrigado

Hello,

This is an automatic mail sent to retitle the ITA you have reported or 
are involved with.

Your ITA wnpp bug is being orphaned because of the following reasons:
- It is, as of today, older than 250 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be managing some bugs that are not 
intended by owners and submitters (like you) to be orphaned, for
example if the ITA is still of your interest, or there has been 
some kind of activity around it. In that case, please retitle the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily recover
their bugs ;-).

To retitle it, you simply have to mail <control@bugs.debian.org>
with a body text like this:

retitle 323469 ITA: fv -- a tool for viewing and editing FITS format files
owner 323469 !
thanks bts

Further comments on the work done in the bug sent to
323469@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.




Changed Bug title. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Nathanael Nerode <neroden@gcc.gnu.org>. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #40 received at 323469@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: 323469@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Update on fv packaging
Date: Sun, 7 Jan 2007 07:55:28 -0500
[Message part 1 (text/plain, inline)]
retitle 323469 ITA: fv -- a tool for viewing and editing FITS format files
owner 323469 neroden@gcc.gnu.org

The new fv upstream contains gobloads of other packages, does not have proper 
tracking of copyright and license matters, and designed to statically link to 
a bunch of things which should be dynamically linked to in Debian.

I would not package it unless you can deal with
(a) converting the static linking to dynamic linking
(b) deleting the included packages of unknown license status
(c) making it still build after doing that
(d) documenting the copyrights and licenses of all the remaining parts
of the program

I started on this, and I still hope to do it eventually but it's a very large, 
and ugly, task.  Hence the lack of progress.

If someone else actually *accomplishes* this, then they should certainly take 
this ITA away from me.

-- 
Nathanael Nerode  <neroden@fastmail.fm>

This space intentionally left blank.

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as neroden@gcc.gnu.org. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from neroden@gcc.gnu.org to Nathanael Nerode <neroden@gcc.gnu.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to `O: fv -- a tool for viewing and editing FITS format files' from `ITA: fv -- a tool for viewing and editing FITS format files'. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. (Fri, 25 May 2007 14:51:08 GMT) Full text and rfc822 format available.

Owner changed from Nathanael Nerode <neroden@gcc.gnu.org> to Nathanael Nerode <neroden@fastmail.fm>. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. (Fri, 25 May 2007 14:51:09 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Nathanael Nerode <neroden@fastmail.fm>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 26 May 2007 09:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Riccardo Stagni <unriccio@email.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #57 received at 323469@bugs.debian.org (full text, mbox):

From: Riccardo Stagni <unriccio@email.it>
To: debian-science-maintainers@lists.alioth.debian.org
Cc: debian-qa@lists.debian.org, science-astronomy@packages.debian.org, 323469@bugs.debian.org, 465959@bugs.debian.org
Subject: Re: Long orphaned packages, removal suggestions
Date: Fri, 25 Jul 2008 01:24:28 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jul 23, 2008 at 09:55:57PM +0200, Frank Lichtenheld wrote:
> This time I've gone trough the list of long orphaned packages.
> These are packages unlikely to ever get a new maintainer, at least
> they didn't manage to do so in the last two to three years.
> 
> [...]
> 
> fv              orphaned 3 years, popcon 189/20/156/13/0,
> 		rdeps: science-astronomy

Hello,

I'm involved in astronomy and I planned to make some work on those
"monsters" that are fv and saods9. Some time ago I gave a look to the
sources: they are both a big mess, but I admit it was a very quick attempt
(I was very busy in the last months).

I could try to update them as summer homework. :)
(perhaps asking some help to those people working on saods9 in ubuntu)


Rant: Why the astronomers are not capable of programming? Or... Why
re-invent the wheel with some ad-hoc trick instead of using standard
things like anyone?
I mean: why include all the libraries you need? Why saods9 ships a
modified version of tcl/tk?


ciao
Riccardo

ps. please cc me in replies, as I'm subscribed only to d-s-m@l.a.d.o,
not (yet?) to debian-qa.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323469; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #62 received at 323469@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Riccardo Stagni <unriccio@email.it>
Cc: debian-science-maintainers@lists.alioth.debian.org, debian-qa@lists.debian.org, science-astronomy@packages.debian.org, 323469@bugs.debian.org, 465959@bugs.debian.org
Subject: Re: Long orphaned packages, removal suggestions
Date: Fri, 25 Jul 2008 03:25:59 +0200
On Fri, Jul 25, 2008 at 01:24:28AM +0200, Riccardo Stagni wrote:
> On Wed, Jul 23, 2008 at 09:55:57PM +0200, Frank Lichtenheld wrote:
> > This time I've gone trough the list of long orphaned packages.
> > These are packages unlikely to ever get a new maintainer, at least
> > they didn't manage to do so in the last two to three years.
> > 
> > [...]
> > 
> > fv              orphaned 3 years, popcon 189/20/156/13/0,
> > 		rdeps: science-astronomy
> 
> Hello,
> 
> I'm involved in astronomy and I planned to make some work on those
> "monsters" that are fv and saods9. Some time ago I gave a look to the
> sources: they are both a big mess, but I admit it was a very quick attempt
> (I was very busy in the last months).

Yeah, the WNPP bug of fv already includes some more comments to that
effect.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Changed Bug title to `ITA: fv -- a tool for viewing and editing FITS format files' from `O: fv -- a tool for viewing and editing FITS format files'. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Wed, 13 Aug 2008 21:48:02 GMT) Full text and rfc822 format available.

Owner recorded as Riccardo Stagni <unriccio@email.it>. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Wed, 13 Aug 2008 21:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Riccardo Stagni <unriccio@email.it>:
Bug#323469; Package wnpp. (Sun, 26 Apr 2009 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Riccardo Stagni <unriccio@email.it>. (Sun, 26 Apr 2009 19:42:04 GMT) Full text and rfc822 format available.

Message #71 received at 323469@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 323469@bugs.debian.org
Cc: Riccardo Stagni <unriccio@email.it>
Subject: Re: ITA: fv -- a tool for viewing and editing FITS format files
Date: Sun, 26 Apr 2009 15:39:42 -0400
Hi,

This package is now WAAAY out of date.  Do you still plan on adopting 
it?  If not I will be filing a removal request very shortly.  It now has 
no r(b)depends.

Thanks,

Barry deFreese
Debian QA




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#323469; Package wnpp. (Sun, 10 May 2009 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Stagni <unriccio@email.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 10 May 2009 10:48:02 GMT) Full text and rfc822 format available.

Message #76 received at 323469@bugs.debian.org (full text, mbox):

From: Riccardo Stagni <unriccio@email.it>
To: Barry deFreese <bdefreese@debian.org>
Cc: 323469@bugs.debian.org
Subject: Re: ITA: fv -- a tool for viewing and editing FITS format files
Date: Sun, 10 May 2009 12:32:58 +0200
[Message part 1 (text/plain, inline)]
On Sun, Apr 26, 2009 at 03:39:42PM -0400, Barry deFreese wrote:
> This package is now WAAAY out of date.  Do you still plan on adopting  
> it?  If not I will be filing a removal request very shortly.  It now has  
> no r(b)depends.

Sorry for the late answer. I'm not planning to use (and adopt) fv in the
near future, so you can go on. (if I ever need it, I'll take the effort to
pass via NEW)

ciao
Riccardo
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal' from `normal' Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 18:42:18 GMT) Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 18:42:18 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: fv -- RoQA; orphaned, out of date, buggy' from `ITA: fv -- a tool for viewing and editing FITS format files'. Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 18:42:19 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 27 May 2009 07:39:04 GMT) Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. (Wed, 27 May 2009 07:39:04 GMT) Full text and rfc822 format available.

Message #87 received at 323469-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 323469-close@bugs.debian.org
Cc: fv@packages.debian.org, fv@packages.qa.debian.org
Subject: Bug#323469: fixed
Date: Wed, 27 May 2009 07:11:14 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

        fv |     3.0-17 | source, alpha, amd64, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323469@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/323469

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Frank Lichtenheld (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Jun 2009 07:40:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:51:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.